## xsct 1.8

=== Makefile ===
PROG = xsct
CC = gcc
CFLAGS = -Wall -Wextra -Werror -pedantic -std=c99 -O2 -I /usr/X11R6/include
LDFLAGS = -L /usr/X11R6/lib -lX11 -lXrandr -lm -s
SRCS = xsct.c
PREFIX = /usr
BIN = $(PREFIX)/bin
MAN = $(PREFIX)/share/man/man1
INSTALL = install

$(PROG): $(SRCS)
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS)

install: $(PROG) $(PROG).1
	$(INSTALL) -d $(DESTDIR)$(BIN)
	$(INSTALL) -m 0755 $(PROG) $(DESTDIR)$(BIN)
	$(INSTALL) -d $(DESTDIR)$(MAN)
	$(INSTALL) -m 0644 $(PROG).1 $(DESTDIR)$(MAN)

uninstall:
	rm -f $(BIN)/$(PROG)
	rm -f $(MAN)/$(PROG).1

clean:
	rm -f $(PROG)

=== debian/changelog ===
xsct (1.8-1) unstable; urgency=medium

  * Upload to unstable.

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Jun 2022 14:33:57 +0200

xsct (1.6.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_install-to-DESTDIR.patch. Applied upstream.
  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 15:01:05 +0200

xsct (1.6-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #984779).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 10 Mar 2021 12:59:29 +0100

=== debian/control ===
Source: xsct
Section: x11
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxrandr-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/faf0/sct
Vcs-Git: https://salsa.debian.org/debian/xsct.git
Vcs-Browser: https://salsa.debian.org/debian/xsct/

Package: xsct
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: X11 set screen color temperature
 xsct is a small C program to change the screen color temperature. It
 can be used to reduce or increase the amount of blue light produced
 by the screen.
 .
 The xsct tool sets the color temperature of the screen via xrandr like
 redshift. Unlike redshift, it is only 80 lines of C and will not change
 the screen temperature automatically.

## xsct 1.8.1

=== Makefile ===
CC ?= gcc
CFLAGS ?= -Wall -Wextra -Werror -pedantic -std=c99 -O2 -I /usr/X11R6/include
LDFLAGS ?= -L /usr/X11R6/lib -s
PREFIX ?= /usr
BIN ?= $(PREFIX)/bin
MAN ?= $(PREFIX)/share/man/man1
INSTALL ?= install

PROG = xsct
SRCS = xsct.c

LIBS = -lX11 -lXrandr -lm

$(PROG): $(SRCS)
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LIBS)

install: $(PROG) $(PROG).1
	$(INSTALL) -d $(DESTDIR)$(BIN)
	$(INSTALL) -m 0755 $(PROG) $(DESTDIR)$(BIN)
	$(INSTALL) -d $(DESTDIR)$(MAN)
	$(INSTALL) -m 0644 $(PROG).1 $(DESTDIR)$(MAN)

uninstall:
	rm -f $(BIN)/$(PROG)
	rm -f $(MAN)/$(PROG).1

clean:
	rm -f $(PROG)

=== debian/changelog ===
xsct (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2001_use-packaging-compiler-flags.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Oct 2022 22:17:48 +0200

## xsct 1.9

=== debian/changelog ===
xsct (1.9-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update attributions for debian/.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 23:32:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                libxrandr-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/faf0/sct
 Vcs-Git: https://salsa.debian.org/debian/xsct.git

## xsct 2.2

=== debian/changelog ===
xsct (2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Feb 2024 14:47:37 +0100

xsct (2.0-1) unstable; urgency=medium

  * New upstream reelase.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Dec 2023 09:21:15 +0100

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/xsct-$1.tar.gz/ \
https://github.com/faf0/sct/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

## xsct 2.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 INSTALL ?= install
 
 PROG = xsct
-SRCS = xsct.c
+SRCS = src/xsct.c
 
 LIBS = -lX11 -lXrandr -lm

=== debian/changelog ===
xsct (2.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 10 Dec 2024 06:00:37 -0800

xsct (2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 15:46:13 +0100

=== debian/control ===
Source: xsct
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
Build-Depends: debhelper-compat (= 13), libx11-dev, libxrandr-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/faf0/sct
Vcs-Git: https://salsa.debian.org/debian/xsct.git
Vcs-Browser: https://salsa.debian.org/debian/xsct/

Package: xsct
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: X11 set screen color temperature
 xsct is a small C program to change the screen color temperature. It
 can be used to reduce or increase the amount of blue light produced
 by the screen.
 .
 The xsct tool sets the color temperature of the screen via xrandr like
 redshift. Unlike redshift, it is only 80 lines of C and will not change
 the screen temperature automatically.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
